::Declare Configuration NC
certutil -setreg CA\DSConfigDN CN=Configuration,DC=fabrikam,DC=com

::Define CRL Publication Intervals
certutil -setreg CA\CRLPeriodUnits 26
certutil -setreg CA\CRLPeriod "Weeks"
certutil -setreg CA\CRLDeltaPeriodUnits 0
certutil -setreg CA\CRLDeltaPeriod "Days"
certutil -setreg CA\CRLOverlapPeriod "Weeks"
certutil -setreg CA\CRLOverlapUnits 2

::Apply the required CDP Extension URLs
certutil -setreg CA\CRLPublicationURLs "1:%windir%\system32\CertSrv\CertEnroll\%%3%%8%%9.crl\n10:ldap:///CN=%%7%%8,CN=%%2,CN=CDP,CN=Public Key Services,CN=Services,%%6%%10\n
2:http://www.fabrikam.com/Certdata/ %%3%%8%%9.crl"

::Apply the required AIA Extension URLs
certutil -setreg CA\CACertPublicationURLs  "1:%windir%\system32\CertSrv\CertEnroll\%%1_%%3%%4.crt\n2:ldap:///CN=%%7,CN=AIA,CN=Public Key Services,CN=Services,%%6%%11\n
2:http://www.fabrikam.com/CertData/%%1_%%3%%4.crt"

::Enable all auditing events for the Fabrikam Corporate Root CA
certutil -setreg CA\AuditFilter 127

::Set Validity Period for Issued Certificates
certutil -setreg CA\ValidityPeriodUnits 10
certutil -setreg CA\ValidityPeriod "Years"

:: Enable discrete signatures in subordinate CA certificates
Certutil -setreg CA\csp\DiscreteSignatureAlgorithm 1

 ::Restart Certificate Services
net stop certsvc & net start certsvc
sleep 5
certutil crl

::Copy the Root CA certificates and CRLs to the USB Drive
Echo Insert the USB Drive in the USB slot
sleep 5
copy /y %windir%\system32\certsrv\certenroll\*.cr? F:\
